## javax.help.plaf.basic
Class BasicFavoritesNavigatorUI.PasteAction

    java.lang.Object
      javax.swing.AbstractAction
          javax.help.plaf.basic.BasicFavoritesNavigatorUI.PasteAction

All Implemented Interfaces:
  javax.swing.Action, java.awt.event.ActionListener, java.lang.Cloneable, java.util.EventListener, java.io.Serializable

Enclosing class:
  BasicFavoritesNavigatorUI

public class BasicFavoritesNavigatorUI.PasteAction
extends javax.swing.AbstractAction

PasteAction class.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`BasicFavoritesNavigatorUI.PasteAction()`

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent ev)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicFavoritesNavigatorUI.PasteAction

    public BasicFavoritesNavigatorUI.PasteAction()

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ev)